# Uses of Class
org.eclipse.gef.KeyHandler

Packages that use KeyHandler
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.ui.parts

## Uses of KeyHandler in org.eclipse.gef

Methods in org.eclipse.gef that return KeyHandler
Modifier and Type
Method
Description
`KeyHandler`
EditPartViewer.`getKeyHandler()`
Returns the `KeyHandler` for this viewer.
`KeyHandler`
KeyHandler.`setParent(KeyHandler parent)`
Sets a parent `KeyHandler` to which this KeyHandler will forward un-consumed KeyEvents.
Methods in org.eclipse.gef with parameters of type KeyHandler
Modifier and Type
Method
Description
`void`
EditPartViewer.`setKeyHandler(KeyHandler keyHandler)`
Sets the `KeyHandler`.
`KeyHandler`
KeyHandler.`setParent(KeyHandler parent)`
Sets a parent `KeyHandler` to which this KeyHandler will forward un-consumed KeyEvents.

## Uses of KeyHandler in org.eclipse.gef.ui.parts

Subclasses of KeyHandler in org.eclipse.gef.ui.parts
Modifier and Type
Class
Description
`class`
`GraphicalViewerKeyHandler`
An extended KeyHandler which processes default keystrokes for common navigation in a GraphicalViewer.
`class`
`PaletteViewerKeyHandler`
KeyHandler for the `Palette`.
Methods in org.eclipse.gef.ui.parts that return KeyHandler
Modifier and Type
Method
Description
`KeyHandler`
AbstractEditPartViewer.`getKeyHandler()`
Methods in org.eclipse.gef.ui.parts with parameters of type KeyHandler
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`setKeyHandler(KeyHandler handler)`